High-Level Data Reduction Library: Hdrl_efficiency

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
Hdrl_efficiency

## Functions
hdrl_parameter * | hdrl_response_parameter_create (const hdrl_value Ap, const hdrl_value Am, const hdrl_value G, const hdrl_value Tex)
| ctor for the hdrl_parameter for response
hdrl_parameter * | hdrl_efficiency_parameter_create (const hdrl_value Ap, const hdrl_value Am, const hdrl_value G, const hdrl_value Tex, const hdrl_value Atel)
| ctor for the hdrl_parameter for efficiency
hdrl_spectrum1D * | hdrl_response_core_compute (const hdrl_spectrum1D *I_std_arg, const hdrl_spectrum1D *I_std_ref, const hdrl_spectrum1D *E_x, const hdrl_parameter *pars)
| core response calculation
hdrl_spectrum1D * | hdrl_efficiency_compute (const hdrl_spectrum1D *I_std_arg, const hdrl_spectrum1D *I_std_ref, const hdrl_spectrum1D *E_x, const hdrl_parameter *pars)
| efficiency calculation
hdrl_value | E_ph (hdrl_data_t lambda)
| energy of the photon calculation

## Detailed Description

## Function Documentation

## ◆ E_ph()

hdrl_value E_ph | ( | hdrl_data_t | lambda | ) |

energy of the photon calculation

Parameters

  lambda | wavelength, in nm

Returns
  energy of the photon for the given wavelength

## ◆ hdrl_efficiency_compute()

hdrl_spectrum1D * hdrl_efficiency_compute | ( | const hdrl_spectrum1D * | I_std_arg,
|  | const hdrl_spectrum1D * | I_std_ref,
|  | const hdrl_spectrum1D * | E_x,
|  | const hdrl_parameter * | pars
| ) |  |

efficiency calculation

Parameters

  I_std_arg | std star observed spectrum, wavelength in [nm]
  I_std_ref | std start model spectrum, wavelength in [nm]
  E_x | atm. extinction model spectrum, wavelength in [nm]
  pars | parameters, see the constructor for hdrl_spectrum1D_efficiency_parameter_create

Returns
  efficiency, NULL in case of error

This function implements the efficiency calculation. The formula used is:

            I_std(l) * 10^(0.4 * E_x(l) * (Am - Ap)) * G * E_phot(l)

Eff(l)= --------------------------------------------------------— Tex * Atel * I_std_ref(l)

Where I_std_ref and E_x spectra are resampled by this function to match the wavelengths where I_std is defined on. If E_x and I_std_ref already match the wavelengths of I_std resampling is not executed. E_phot is the energy of one photon. For the other parameters see hdrl_spectrum1D_efficiency_parameter_create(). If E_x or I_std_ref do not completely cover the wavelength interval where I_std is defined, I_std is truncated to avoid extrapolation of the models.

Possible cpl-error-code set in this function:

- CPL_ERROR_NULL_INPUT: if any of the spectra or parameter are NULL
- For other errors see hdrl_spectrum1D_resample(), and arithmetic functions for spectrum processing (e.g. hdrl_spectrum1D_div_spectrum_create())

## ◆ hdrl_efficiency_parameter_create()

hdrl_parameter * hdrl_efficiency_parameter_create | ( | const hdrl_value | Ap,
|  | const hdrl_value | Am,
|  | const hdrl_value | G,
|  | const hdrl_value | Tex,
|  | const hdrl_value | Atel
| ) |  |

ctor for the hdrl_parameter for efficiency

Parameters

  Ap | Parameter to indicate if the efficiency is computed at airmass = 0, or at a given non zero value
  Am | Airmass at which the std star was observed
  G | Gain [e/ADU]
  Tex | Exposure time [s]
  Atel | Collecting area of the telescope [cm2]

Returns
  hdrl_parameter

## ◆ hdrl_response_core_compute()

hdrl_spectrum1D * hdrl_response_core_compute | ( | const hdrl_spectrum1D * | I_std_arg,
|  | const hdrl_spectrum1D * | I_std_ref,
|  | const hdrl_spectrum1D * | E_x,
|  | const hdrl_parameter * | pars
| ) |  |

core response calculation

Parameters

  I_std_arg | std star observed spectrum, wavelength in [nm]
  I_std_ref | std start model spectrum, wavelength in [nm]
  E_x | atm. extinction model spectrum, wavelength in [nm]
  pars | parameters, see the constructor for hdrl_efficiency_parameter_create

Returns
  response, NULL in case of error

This function implements the efficiency calculation. The formula used is:

                  I_std_ref(l)* G * Tex * 10^(0.4 * (Ap-Am) * E_x(l))

Res(l)= --------------------------------------------------------— I_std(l)

Where I_std_ref and E_x spectra are resampled by this function to match the wavelengths where I_std is defined on. If E_x and I_std_ref already match the wavelengths of I_std resampling is not executed. If E_x or I_std_ref do not completely cover the wavelength interval where I_std is defined, I_std is truncated to avoid extrapolation of the models. For the other parameters see hdrl_response_parameter_create().

Possible cpl-error-code set in this function:

- CPL_ERROR_NULL_INPUT: if any of the spectra or parameter are NULL
- For other errors see hdrl_spectrum1D_resample(), and arithmetic functions for spectrum processing (e.g. hdrl_spectrum1D_div_spectrum_create())

## ◆ hdrl_response_parameter_create()

hdrl_parameter * hdrl_response_parameter_create | ( | const hdrl_value | Ap,
|  | const hdrl_value | Am,
|  | const hdrl_value | G,
|  | const hdrl_value | Tex
| ) |  |

ctor for the hdrl_parameter for response

Parameters

  Ap | Parameter to indicate if the efficiency is computed at airmass = 0, or at a given non zero value
  Am | Airmass at which the std star was observed
  G | Gain [ADU/e]
  Tex | Exposure time [s]

Returns
  hdrl_parameter